﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace XamDataGridSingleCellReadOnly
{
    public class DummiDataObject : INotifyPropertyChanged
    {
        private String _secondName;

        public String SecondName
        {
            get { return _secondName; }
            set { _secondName = value; OnPropertyChanged("SecondName"); }
        }


        private int _id;

        public int Id
        {
            get { return _id; }
            set { _id = value; OnPropertyChanged("Id"); }
        }

        private int _serienNummer;

        public int SerienNummer
        {
            get { return _serienNummer; }
            set { _serienNummer = value; OnPropertyChanged("SerienNummer"); }
        }


        private String _name;

        public String Name
        {
            get { return _name; }
            set { _name = value; OnPropertyChanged("Name"); }
        }
        

        private String _status;

        public String Status
        {
            get { return _status; }
            set { _status = value; OnPropertyChanged("Status"); }
        }
        

        private void OnPropertyChanged(String pname)
        {
            if (PropertyChanged==null)return;
            PropertyChanged.Invoke(this, new PropertyChangedEventArgs(pname));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }


   


   
}
